Core - Bug # 50871

Status: New Priority: Should have
Author: Frans Saris Category:
Created: 2013-08-07 Assigned To:
Updated: 2015-01-31 Due date:
TYPO3 Version: 6.2

PHP Version:

Complexity: medium

Is Regression: No

Sprint Focus: On Location Sprint

Subject: Remove option to delete a File Storage

Description

Currently it doesn't make sense you can delete a storage.

When you delete a storage there is no check if there are still files in uses of this storage.

So everywhere where a reference to a sys_file of the deleted storage is present you get a Exception.

Related issues:

related to Core - Bug # 55714: Not available storages assigned to user should...

related to Core - Bug # 64631: Relations between files(sys_file) and file sto...

related to Core - Bug # 64617: Don' change configuration of filestorage if fi...

duplicated by Core - Bug # 62489: FE : “Desired storage is not in the list of...

Resolved
Resolved
Accepted
Closed

2014-02-06
2015-01-30
2015-01-29
2014-10-27

Associated revisions

Revision cb081032 - 2015-01-31 11:09 - Alina Fleser

[BUGFIX] Files to FileStorage relations are now recorded in sys_refindex

When a file (sys_file) is added/modified/deleted,
the relation to the file storage (sys_file_storage)
is recorded and updated in sys_refindex

Resolves: #64631

Related: #50871

Releases: master, 6.2

Change-Id: If95fac13¢c5530041948b3f9c896ebb390c31956a
Reviewed-on: http://review.typo3.0rg/36412

Reviewed-by: Frans Saris <franssaris@gmail.com>

Tested-by: Frans Saris <franssaris@gmail.com>

Reviewed-by: Ingo Schmitt <is@marketing-factory.de>

Tested-by: Ingo Schmitt <is@marketing-factory.de>

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Revision 1cd5dd42 - 2015-01-31 11:16 - Alina Fleser

[BUGFIX] Files to FileStorage relations are now recorded in sys_refindex

When a file (sys_file) is added/modified/deleted,
the relation to the file storage (sys_file_storage)
is recorded and updated in sys_refindex

Resolves: #64631

Related: #50871

Releases: master, 6.2

Change-Id: [f95fac13c5530041948b3f9c896ebb390c31956a
Reviewed-on: http://review.typo3.org/36486

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History

#1 - 2013-08-07 14:36 - Oliver Hader
If we see a storage as a definition to connect a folder of the physical file system with the TYPOS file abstraction layer, then we still might allow to

remove the storage definition, however should catch the exceptions - or add an option to the install tool to remove a storage, it's sys_file records (not

the actual files), sys_file_references and processed files.

#2 - 2014-06-20 11:06 - Andreas Wolf
- Status changed from New to Accepted
- Is Regression set to No

| just had this case while debugging a broken installation. | think the DataMapper should check in a hook that no files are still in use from that storage

(or we disallow deletion completely if that's possible).

#3 - 2015-01-27 07:53 - Frans Saris

- Sprint Focus set to On Location Sprint

#4 - 2015-01-29 23:48 - Ingo Schmitt
- Complexity set to medium

#5 - 2015-01-30 00:25 - Philipp Gampe

- Status changed from Accepted to In Progress

#6 - 2015-01-30 10:15 - Alexander Opitz

I think, we should left the possibility to delete storages, for example if you moved from a local to a remote storage (or vice versa). Maybe first we need

to define scenarios.

But maybe this scenarios lead to a "FAL Management Extension" which is more for admins and not editors (like media).

#7 - 2015-01-30 10:40 - Philipp Gampe

| also think that deleting orphaned storages should be possible.

#8 - 2015-01-30 18:25 - Gerrit Code Review
- Status changed from In Progress to Under Review

2015-08-04 2/3


http://review.typo3.org/36486
mailto:aleichsenring@ab-softlab.de
mailto:aleichsenring@ab-softlab.de

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/36456

#9 - 2015-01-31 14:17 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/36456

#10 - 2015-01-31 15:49 - Philipp Gampe
- Category deleted (File Abstraction Layer (FAL))
- Status changed from Under Review to Accepted

The solution here is to deny deletion of any record which is still referenced.

This would also solve #55714

#11 - 2015-01-31 16:27 - Philipp Gampe
- Status changed from Accepted to New
